// for mixin
$minWidth: 320;
$maxWidth: 1220;
$maxWidthContainer: 1200;
@import './mixins.scss';

:root {
  --min-content: 320px;
  --max-content: 1200px;
  --container-padding: 20px;

  --sm-min-content: 320px;
  --md-min-content: 576px;
  --lg-min-content: 992px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body,
#root,
.wrapper {
  height: 100%;
}

#root {
  background-color: #ccc;
}

.wrapper {
  margin: 0 auto;

  /* padding: 0 20px; */
  @include adaptive-value('padding-left', 20, 8, 1);
  @include adaptive-value('padding-right', 20, 8, 1);

  min-width: var(--min-content);
  max-width: var(--max-content);
}

/**** wrapper grid ****/
.wrapper {
  display: grid;
  grid-template-areas:
    'header'
    'main'
    'footer';
  grid-template-rows: 60px 1fr 60px;
}
.header {
  @include adaptive-value('font-size', 26, 18, 1);
  grid-area: header;
}

.main {
  grid-area: main;
}

.footer {
  @include adaptive-value('font-size', 26, 18, 1);
  grid-area: footer;
}
/**** wrapper grid ****/

/**** main grid ****/
.main {
  display: grid;
  grid-template-areas: 'left' 'right';
  grid-template-columns: minmax(320px, 1fr);
}

.left {
  @include adaptive-value('font-size', 22, 14, 1);
  grid-area: left;
}

.right {
  grid-area: right;
}
/**** main grid ****/

/**** right grid ****/
.right {
  display: grid;
  gap: 10px;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-auto-rows: 100px;
}
/**** right grid ****/

.container {
  width: 100%;
  padding: 0 var(--container-padding);
  margin: 0 auto;
}

.header {
  background-color: rebeccapurple;
}

.main {
  background-color: gold;
}

.footer {
  background-color: brown;
}

.left {
  background-color: blue;
}

.right {
  padding: 10px;
  background-color: rosybrown;
}

.item {
  @include adaptive-value('font-size', 14, 10, 1);
  padding: 10px;
  background-color: aquamarine;
}

/* MEDIA */
@media screen and (min-width: 576px) {
  .header {
    background-color: rgb(143, 90, 196);
  }

  .main {
    grid-template-areas: 'left right';
    grid-template-columns: minmax(150px, 200px) minmax(320px, 1fr);
  }
}

@media screen and (min-width: 992px) {
  .header {
    background-color: rgb(187, 147, 227);
  }
}
